org.eclipse.jdt.core.util

## Class ByteCodeVisitorAdapter

- java.lang.Object
- - org.eclipse.jdt.core.util.ByteCodeVisitorAdapter

All Implemented Interfaces:
  IBytecodeVisitor

    public class ByteCodeVisitorAdapter
    extends Object
    implements IBytecodeVisitor

Adapter that implements the IBytecodeVisitor. This class is intended to be subclassed by clients.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`ByteCodeVisitorAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `_aaload(int pc)`
`void` `_aastore(int pc)`
`void` `_aconst_null(int pc)`
`void` `_aload_0(int pc)`
`void` `_aload_1(int pc)`
`void` `_aload_2(int pc)`
`void` `_aload_3(int pc)`
`void` `_aload(int pc, int index)`
`void` `_anewarray(int pc, int index, IConstantPoolEntry constantClass)`
`void` `_areturn(int pc)`
`void` `_arraylength(int pc)`
`void` `_astore_0(int pc)`
`void` `_astore_1(int pc)`
`void` `_astore_2(int pc)`
`void` `_astore_3(int pc)`
`void` `_astore(int pc, int index)`
`void` `_athrow(int pc)`
`void` `_baload(int pc)`
`void` `_bastore(int pc)`
`void` `_bipush(int pc, byte _byte)`
`void` `_breakpoint(int pc)`
`void` `_caload(int pc)`
`void` `_castore(int pc)`
`void` `_checkcast(int pc, int index, IConstantPoolEntry constantClass)`
`void` `_d2f(int pc)`
`void` `_d2i(int pc)`
`void` `_d2l(int pc)`
`void` `_dadd(int pc)`
`void` `_daload(int pc)`
`void` `_dastore(int pc)`
`void` `_dcmpg(int pc)`
`void` `_dcmpl(int pc)`
`void` `_dconst_0(int pc)`
`void` `_dconst_1(int pc)`
`void` `_ddiv(int pc)`
`void` `_dload_0(int pc)`
`void` `_dload_1(int pc)`
`void` `_dload_2(int pc)`
`void` `_dload_3(int pc)`
`void` `_dload(int pc, int index)`
`void` `_dmul(int pc)`
`void` `_dneg(int pc)`
`void` `_drem(int pc)`
`void` `_dreturn(int pc)`
`void` `_dstore_0(int pc)`
`void` `_dstore_1(int pc)`
`void` `_dstore_2(int pc)`
`void` `_dstore_3(int pc)`
`void` `_dstore(int pc, int index)`
`void` `_dsub(int pc)`
`void` `_dup_x1(int pc)`
`void` `_dup_x2(int pc)`
`void` `_dup(int pc)`
`void` `_dup2_x1(int pc)`
`void` `_dup2_x2(int pc)`
`void` `_dup2(int pc)`
`void` `_f2d(int pc)`
`void` `_f2i(int pc)`
`void` `_f2l(int pc)`
`void` `_fadd(int pc)`
`void` `_faload(int pc)`
`void` `_fastore(int pc)`
`void` `_fcmpg(int pc)`
`void` `_fcmpl(int pc)`
`void` `_fconst_0(int pc)`
`void` `_fconst_1(int pc)`
`void` `_fconst_2(int pc)`
`void` `_fdiv(int pc)`
`void` `_fload_0(int pc)`
`void` `_fload_1(int pc)`
`void` `_fload_2(int pc)`
`void` `_fload_3(int pc)`
`void` `_fload(int pc, int index)`
`void` `_fmul(int pc)`
`void` `_fneg(int pc)`
`void` `_frem(int pc)`
`void` `_freturn(int pc)`
`void` `_fstore_0(int pc)`
`void` `_fstore_1(int pc)`
`void` `_fstore_2(int pc)`
`void` `_fstore_3(int pc)`
`void` `_fstore(int pc, int index)`
`void` `_fsub(int pc)`
`void` `_getfield(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` `_getstatic(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` `_goto_w(int pc, int branchOffset)`
`void` `_goto(int pc, int branchOffset)`
`void` `_i2b(int pc)`
`void` `_i2c(int pc)`
`void` `_i2d(int pc)`
`void` `_i2f(int pc)`
`void` `_i2l(int pc)`
`void` `_i2s(int pc)`
`void` `_iadd(int pc)`
`void` `_iaload(int pc)`
`void` `_iand(int pc)`
`void` `_iastore(int pc)`
`void` `_iconst_0(int pc)`
`void` `_iconst_1(int pc)`
`void` `_iconst_2(int pc)`
`void` `_iconst_3(int pc)`
`void` `_iconst_4(int pc)`
`void` `_iconst_5(int pc)`
`void` `_iconst_m1(int pc)`
`void` `_idiv(int pc)`
`void` `_if_acmpeq(int pc, int branchOffset)`
`void` `_if_acmpne(int pc, int branchOffset)`
`void` `_if_icmpeq(int pc, int branchOffset)`
`void` `_if_icmpge(int pc, int branchOffset)`
`void` `_if_icmpgt(int pc, int branchOffset)`
`void` `_if_icmple(int pc, int branchOffset)`
`void` `_if_icmplt(int pc, int branchOffset)`
`void` `_if_icmpne(int pc, int branchOffset)`
`void` `_ifeq(int pc, int branchOffset)`
`void` `_ifge(int pc, int branchOffset)`
`void` `_ifgt(int pc, int branchOffset)`
`void` `_ifle(int pc, int branchOffset)`
`void` `_iflt(int pc, int branchOffset)`
`void` `_ifne(int pc, int branchOffset)`
`void` `_ifnonnull(int pc, int branchOffset)`
`void` `_ifnull(int pc, int branchOffset)`
`void` `_iinc(int pc, int index, int _const)`
`void` `_iload_0(int pc)`
`void` `_iload_1(int pc)`
`void` `_iload_2(int pc)`
`void` `_iload_3(int pc)`
`void` `_iload(int pc, int index)`
`void` `_impdep1(int pc)`
`void` `_impdep2(int pc)`
`void` `_imul(int pc)`
`void` `_ineg(int pc)`
`void` `_instanceof(int pc, int index, IConstantPoolEntry constantClass)`
`void` `_invokedynamic(int pc, int index, IConstantPoolEntry invokeDynamicEntry)`
`void` `_invokedynamic(int pc, int index, IConstantPoolEntry nameEntry, IConstantPoolEntry descriptorEntry)` Deprecated. This has been replaced with `IBytecodeVisitor._invokedynamic(int, int, IConstantPoolEntry)`
`void` `_invokeinterface(int pc, int index, byte nargs, IConstantPoolEntry constantInterfaceMethodref)`
`void` `_invokespecial(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` `_invokestatic(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` `_invokevirtual(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` `_ior(int pc)`
`void` `_irem(int pc)`
`void` `_ireturn(int pc)`
`void` `_ishl(int pc)`
`void` `_ishr(int pc)`
`void` `_istore_0(int pc)`
`void` `_istore_1(int pc)`
`void` `_istore_2(int pc)`
`void` `_istore_3(int pc)`
`void` `_istore(int pc, int index)`
`void` `_isub(int pc)`
`void` `_iushr(int pc)`
`void` `_ixor(int pc)`
`void` `_jsr_w(int pc, int branchOffset)`
`void` `_jsr(int pc, int branchOffset)`
`void` `_l2d(int pc)`
`void` `_l2f(int pc)`
`void` `_l2i(int pc)`
`void` `_ladd(int pc)`
`void` `_laload(int pc)`
`void` `_land(int pc)`
`void` `_lastore(int pc)`
`void` `_lcmp(int pc)`
`void` `_lconst_0(int pc)`
`void` `_lconst_1(int pc)`
`void` `_ldc_w(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` `_ldc(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` `_ldc2_w(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` `_ldiv(int pc)`
`void` `_lload_0(int pc)`
`void` `_lload_1(int pc)`
`void` `_lload_2(int pc)`
`void` `_lload_3(int pc)`
`void` `_lload(int pc, int index)`
`void` `_lmul(int pc)`
`void` `_lneg(int pc)`
`void` `_lookupswitch(int pc, int defaultoffset, int npairs, int[][] offset_pairs)`
`void` `_lor(int pc)`
`void` `_lrem(int pc)`
`void` `_lreturn(int pc)`
`void` `_lshl(int pc)`
`void` `_lshr(int pc)`
`void` `_lstore_0(int pc)`
`void` `_lstore_1(int pc)`
`void` `_lstore_2(int pc)`
`void` `_lstore_3(int pc)`
`void` `_lstore(int pc, int index)`
`void` `_lsub(int pc)`
`void` `_lushr(int pc)`
`void` `_lxor(int pc)`
`void` `_monitorenter(int pc)`
`void` `_monitorexit(int pc)`
`void` `_multianewarray(int pc, int index, int dimensions, IConstantPoolEntry constantClass)`
`void` `_new(int pc, int index, IConstantPoolEntry constantClass)`
`void` `_newarray(int pc, int atype)`
`void` `_nop(int pc)`
`void` `_pop(int pc)`
`void` `_pop2(int pc)`
`void` `_putfield(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` `_putstatic(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` `_ret(int pc, int index)`
`void` `_return(int pc)`
`void` `_saload(int pc)`
`void` `_sastore(int pc)`
`void` `_sipush(int pc, short value)`
`void` `_swap(int pc)`
`void` `_tableswitch(int pc, int defaultoffset, int low, int high, int[] jump_offsets)`
`void` `_wide(int pc, int opcode, int index)`
`void` `_wide(int pc, int iincopcode, int index, int _const)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteCodeVisitorAdapter

    public ByteCodeVisitorAdapter()

### Method Detail

#### _aaload

    public void _aaload(int pc)

Specified by:
  `_aaload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aaload(int)`

#### _aastore

    public void _aastore(int pc)

Specified by:
  `_aastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aastore(int)`

#### _aconst_null

    public void _aconst_null(int pc)

Specified by:
  `_aconst_null` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aconst_null(int)`

#### _aload_0

    public void _aload_0(int pc)

Specified by:
  `_aload_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aload_0(int)`

#### _aload_1

    public void _aload_1(int pc)

Specified by:
  `_aload_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aload_1(int)`

#### _aload_2

    public void _aload_2(int pc)

Specified by:
  `_aload_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aload_2(int)`

#### _aload_3

    public void _aload_3(int pc)

Specified by:
  `_aload_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aload_3(int)`

#### _aload

    public void _aload(int pc,
                       int index)

Specified by:
  `_aload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._aload(int, int)`

#### _anewarray

    public void _anewarray(int pc,
                           int index,
                           IConstantPoolEntry constantClass)

Specified by:
  `_anewarray` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._anewarray(int, int, IConstantPoolEntry)`

#### _areturn

    public void _areturn(int pc)

Specified by:
  `_areturn` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._areturn(int)`

#### _arraylength

    public void _arraylength(int pc)

Specified by:
  `_arraylength` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._arraylength(int)`

#### _astore_0

    public void _astore_0(int pc)

Specified by:
  `_astore_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._astore_0(int)`

#### _astore_1

    public void _astore_1(int pc)

Specified by:
  `_astore_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._astore_1(int)`

#### _astore_2

    public void _astore_2(int pc)

Specified by:
  `_astore_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._astore_2(int)`

#### _astore_3

    public void _astore_3(int pc)

Specified by:
  `_astore_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._astore_3(int)`

#### _astore

    public void _astore(int pc,
                        int index)

Specified by:
  `_astore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._astore(int, int)`

#### _athrow

    public void _athrow(int pc)

Specified by:
  `_athrow` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._athrow(int)`

#### _baload

    public void _baload(int pc)

Specified by:
  `_baload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._baload(int)`

#### _bastore

    public void _bastore(int pc)

Specified by:
  `_bastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._bastore(int)`

#### _bipush

    public void _bipush(int pc,
                        byte _byte)

Specified by:
  `_bipush` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._bipush(int, byte)`

#### _caload

    public void _caload(int pc)

Specified by:
  `_caload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._caload(int)`

#### _castore

    public void _castore(int pc)

Specified by:
  `_castore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._castore(int)`

#### _checkcast

    public void _checkcast(int pc,
                           int index,
                           IConstantPoolEntry constantClass)

Specified by:
  `_checkcast` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._checkcast(int, int, IConstantPoolEntry)`

#### _d2f

    public void _d2f(int pc)

Specified by:
  `_d2f` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._d2f(int)`

#### _d2i

    public void _d2i(int pc)

Specified by:
  `_d2i` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._d2i(int)`

#### _d2l

    public void _d2l(int pc)

Specified by:
  `_d2l` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._d2l(int)`

#### _dadd

    public void _dadd(int pc)

Specified by:
  `_dadd` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dadd(int)`

#### _daload

    public void _daload(int pc)

Specified by:
  `_daload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._daload(int)`

#### _dastore

    public void _dastore(int pc)

Specified by:
  `_dastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dastore(int)`

#### _dcmpg

    public void _dcmpg(int pc)

Specified by:
  `_dcmpg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dcmpg(int)`

#### _dcmpl

    public void _dcmpl(int pc)

Specified by:
  `_dcmpl` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dcmpl(int)`

#### _dconst_0

    public void _dconst_0(int pc)

Specified by:
  `_dconst_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dconst_0(int)`

#### _dconst_1

    public void _dconst_1(int pc)

Specified by:
  `_dconst_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dconst_1(int)`

#### _ddiv

    public void _ddiv(int pc)

Specified by:
  `_ddiv` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ddiv(int)`

#### _dload_0

    public void _dload_0(int pc)

Specified by:
  `_dload_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dload_0(int)`

#### _dload_1

    public void _dload_1(int pc)

Specified by:
  `_dload_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dload_1(int)`

#### _dload_2

    public void _dload_2(int pc)

Specified by:
  `_dload_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dload_2(int)`

#### _dload_3

    public void _dload_3(int pc)

Specified by:
  `_dload_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dload_3(int)`

#### _dload

    public void _dload(int pc,
                       int index)

Specified by:
  `_dload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dload(int, int)`

#### _dmul

    public void _dmul(int pc)

Specified by:
  `_dmul` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dmul(int)`

#### _dneg

    public void _dneg(int pc)

Specified by:
  `_dneg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dneg(int)`

#### _drem

    public void _drem(int pc)

Specified by:
  `_drem` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._drem(int)`

#### _dreturn

    public void _dreturn(int pc)

Specified by:
  `_dreturn` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dreturn(int)`

#### _dstore_0

    public void _dstore_0(int pc)

Specified by:
  `_dstore_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dstore_0(int)`

#### _dstore_1

    public void _dstore_1(int pc)

Specified by:
  `_dstore_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dstore_1(int)`

#### _dstore_2

    public void _dstore_2(int pc)

Specified by:
  `_dstore_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dstore_2(int)`

#### _dstore_3

    public void _dstore_3(int pc)

Specified by:
  `_dstore_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dstore_3(int)`

#### _dstore

    public void _dstore(int pc,
                        int index)

Specified by:
  `_dstore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dstore(int, int)`

#### _dsub

    public void _dsub(int pc)

Specified by:
  `_dsub` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dsub(int)`

#### _dup_x1

    public void _dup_x1(int pc)

Specified by:
  `_dup_x1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup_x1(int)`

#### _dup_x2

    public void _dup_x2(int pc)

Specified by:
  `_dup_x2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup_x2(int)`

#### _dup

    public void _dup(int pc)

Specified by:
  `_dup` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup(int)`

#### _dup2_x1

    public void _dup2_x1(int pc)

Specified by:
  `_dup2_x1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup2_x1(int)`

#### _dup2_x2

    public void _dup2_x2(int pc)

Specified by:
  `_dup2_x2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup2_x2(int)`

#### _dup2

    public void _dup2(int pc)

Specified by:
  `_dup2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._dup2(int)`

#### _f2d

    public void _f2d(int pc)

Specified by:
  `_f2d` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._f2d(int)`

#### _f2i

    public void _f2i(int pc)

Specified by:
  `_f2i` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._f2i(int)`

#### _f2l

    public void _f2l(int pc)

Specified by:
  `_f2l` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._f2l(int)`

#### _fadd

    public void _fadd(int pc)

Specified by:
  `_fadd` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fadd(int)`

#### _faload

    public void _faload(int pc)

Specified by:
  `_faload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._faload(int)`

#### _fastore

    public void _fastore(int pc)

Specified by:
  `_fastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fastore(int)`

#### _fcmpg

    public void _fcmpg(int pc)

Specified by:
  `_fcmpg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fcmpg(int)`

#### _fcmpl

    public void _fcmpl(int pc)

Specified by:
  `_fcmpl` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fcmpl(int)`

#### _fconst_0

    public void _fconst_0(int pc)

Specified by:
  `_fconst_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fconst_0(int)`

#### _fconst_1

    public void _fconst_1(int pc)

Specified by:
  `_fconst_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fconst_1(int)`

#### _fconst_2

    public void _fconst_2(int pc)

Specified by:
  `_fconst_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fconst_2(int)`

#### _fdiv

    public void _fdiv(int pc)

Specified by:
  `_fdiv` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fdiv(int)`

#### _fload_0

    public void _fload_0(int pc)

Specified by:
  `_fload_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fload_0(int)`

#### _fload_1

    public void _fload_1(int pc)

Specified by:
  `_fload_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fload_1(int)`

#### _fload_2

    public void _fload_2(int pc)

Specified by:
  `_fload_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fload_2(int)`

#### _fload_3

    public void _fload_3(int pc)

Specified by:
  `_fload_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fload_3(int)`

#### _fload

    public void _fload(int pc,
                       int index)

Specified by:
  `_fload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fload(int, int)`

#### _fmul

    public void _fmul(int pc)

Specified by:
  `_fmul` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fmul(int)`

#### _fneg

    public void _fneg(int pc)

Specified by:
  `_fneg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fneg(int)`

#### _frem

    public void _frem(int pc)

Specified by:
  `_frem` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._frem(int)`

#### _freturn

    public void _freturn(int pc)

Specified by:
  `_freturn` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._freturn(int)`

#### _fstore_0

    public void _fstore_0(int pc)

Specified by:
  `_fstore_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fstore_0(int)`

#### _fstore_1

    public void _fstore_1(int pc)

Specified by:
  `_fstore_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fstore_1(int)`

#### _fstore_2

    public void _fstore_2(int pc)

Specified by:
  `_fstore_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fstore_2(int)`

#### _fstore_3

    public void _fstore_3(int pc)

Specified by:
  `_fstore_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fstore_3(int)`

#### _fstore

    public void _fstore(int pc,
                        int index)

Specified by:
  `_fstore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fstore(int, int)`

#### _fsub

    public void _fsub(int pc)

Specified by:
  `_fsub` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._fsub(int)`

#### _getfield

    public void _getfield(int pc,
                          int index,
                          IConstantPoolEntry constantFieldref)

Specified by:
  `_getfield` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._getfield(int, int, IConstantPoolEntry)`

#### _getstatic

    public void _getstatic(int pc,
                           int index,
                           IConstantPoolEntry constantFieldref)

Specified by:
  `_getstatic` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._getstatic(int, int, IConstantPoolEntry)`

#### _goto_w

    public void _goto_w(int pc,
                        int branchOffset)

Specified by:
  `_goto_w` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._goto_w(int, int)`

#### _goto

    public void _goto(int pc,
                      int branchOffset)

Specified by:
  `_goto` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._goto(int, int)`

#### _i2b

    public void _i2b(int pc)

Specified by:
  `_i2b` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2b(int)`

#### _i2c

    public void _i2c(int pc)

Specified by:
  `_i2c` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2c(int)`

#### _i2d

    public void _i2d(int pc)

Specified by:
  `_i2d` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2d(int)`

#### _i2f

    public void _i2f(int pc)

Specified by:
  `_i2f` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2f(int)`

#### _i2l

    public void _i2l(int pc)

Specified by:
  `_i2l` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2l(int)`

#### _i2s

    public void _i2s(int pc)

Specified by:
  `_i2s` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._i2s(int)`

#### _iadd

    public void _iadd(int pc)

Specified by:
  `_iadd` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iadd(int)`

#### _iaload

    public void _iaload(int pc)

Specified by:
  `_iaload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iaload(int)`

#### _iand

    public void _iand(int pc)

Specified by:
  `_iand` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iand(int)`

#### _iastore

    public void _iastore(int pc)

Specified by:
  `_iastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iastore(int)`

#### _iconst_0

    public void _iconst_0(int pc)

Specified by:
  `_iconst_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_0(int)`

#### _iconst_1

    public void _iconst_1(int pc)

Specified by:
  `_iconst_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_1(int)`

#### _iconst_2

    public void _iconst_2(int pc)

Specified by:
  `_iconst_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_2(int)`

#### _iconst_3

    public void _iconst_3(int pc)

Specified by:
  `_iconst_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_3(int)`

#### _iconst_4

    public void _iconst_4(int pc)

Specified by:
  `_iconst_4` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_4(int)`

#### _iconst_5

    public void _iconst_5(int pc)

Specified by:
  `_iconst_5` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_5(int)`

#### _iconst_m1

    public void _iconst_m1(int pc)

Specified by:
  `_iconst_m1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iconst_m1(int)`

#### _idiv

    public void _idiv(int pc)

Specified by:
  `_idiv` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._idiv(int)`

#### _if_acmpeq

    public void _if_acmpeq(int pc,
                           int branchOffset)

Specified by:
  `_if_acmpeq` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_acmpeq(int, int)`

#### _if_acmpne

    public void _if_acmpne(int pc,
                           int branchOffset)

Specified by:
  `_if_acmpne` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_acmpne(int, int)`

#### _if_icmpeq

    public void _if_icmpeq(int pc,
                           int branchOffset)

Specified by:
  `_if_icmpeq` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmpeq(int, int)`

#### _if_icmpge

    public void _if_icmpge(int pc,
                           int branchOffset)

Specified by:
  `_if_icmpge` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmpge(int, int)`

#### _if_icmpgt

    public void _if_icmpgt(int pc,
                           int branchOffset)

Specified by:
  `_if_icmpgt` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmpgt(int, int)`

#### _if_icmple

    public void _if_icmple(int pc,
                           int branchOffset)

Specified by:
  `_if_icmple` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmple(int, int)`

#### _if_icmplt

    public void _if_icmplt(int pc,
                           int branchOffset)

Specified by:
  `_if_icmplt` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmplt(int, int)`

#### _if_icmpne

    public void _if_icmpne(int pc,
                           int branchOffset)

Specified by:
  `_if_icmpne` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._if_icmpne(int, int)`

#### _ifeq

    public void _ifeq(int pc,
                      int branchOffset)

Specified by:
  `_ifeq` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifeq(int, int)`

#### _ifge

    public void _ifge(int pc,
                      int branchOffset)

Specified by:
  `_ifge` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifge(int, int)`

#### _ifgt

    public void _ifgt(int pc,
                      int branchOffset)

Specified by:
  `_ifgt` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifgt(int, int)`

#### _ifle

    public void _ifle(int pc,
                      int branchOffset)

Specified by:
  `_ifle` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifle(int, int)`

#### _iflt

    public void _iflt(int pc,
                      int branchOffset)

Specified by:
  `_iflt` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iflt(int, int)`

#### _ifne

    public void _ifne(int pc,
                      int branchOffset)

Specified by:
  `_ifne` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifne(int, int)`

#### _ifnonnull

    public void _ifnonnull(int pc,
                           int branchOffset)

Specified by:
  `_ifnonnull` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifnonnull(int, int)`

#### _ifnull

    public void _ifnull(int pc,
                        int branchOffset)

Specified by:
  `_ifnull` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ifnull(int, int)`

#### _iinc

    public void _iinc(int pc,
                      int index,
                      int _const)

Specified by:
  `_iinc` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iinc(int, int, int)`

#### _iload_0

    public void _iload_0(int pc)

Specified by:
  `_iload_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iload_0(int)`

#### _iload_1

    public void _iload_1(int pc)

Specified by:
  `_iload_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iload_1(int)`

#### _iload_2

    public void _iload_2(int pc)

Specified by:
  `_iload_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iload_2(int)`

#### _iload_3

    public void _iload_3(int pc)

Specified by:
  `_iload_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iload_3(int)`

#### _iload

    public void _iload(int pc,
                       int index)

Specified by:
  `_iload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iload(int, int)`

#### _imul

    public void _imul(int pc)

Specified by:
  `_imul` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._imul(int)`

#### _ineg

    public void _ineg(int pc)

Specified by:
  `_ineg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ineg(int)`

#### _instanceof

    public void _instanceof(int pc,
                            int index,
                            IConstantPoolEntry constantClass)

Specified by:
  `_instanceof` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._instanceof(int, int, IConstantPoolEntry)`

#### _invokedynamic

    public void _invokedynamic(int pc,
                               int index,
                               IConstantPoolEntry nameEntry,
                               IConstantPoolEntry descriptorEntry)

Deprecated. This has been replaced with `IBytecodeVisitor._invokedynamic(int, int, IConstantPoolEntry)`

Specified by:
  `_invokedynamic` in interface `IBytecodeVisitor`
Since:
  3.6
See Also:
  `IBytecodeVisitor._invokedynamic(int, int, IConstantPoolEntry, IConstantPoolEntry)`

#### _invokedynamic

    public void _invokedynamic(int pc,
                               int index,
                               IConstantPoolEntry invokeDynamicEntry)

Specified by:
  `_invokedynamic` in interface `IBytecodeVisitor`
Since:
  3.8
See Also:
  `IBytecodeVisitor._invokedynamic(int, int, IConstantPoolEntry)`

#### _invokeinterface

    public void _invokeinterface(int pc,
                                 int index,
                                 byte nargs,
                                 IConstantPoolEntry constantInterfaceMethodref)

Specified by:
  `_invokeinterface` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._invokeinterface(int, int, byte, IConstantPoolEntry)`

#### _invokespecial

    public void _invokespecial(int pc,
                               int index,
                               IConstantPoolEntry constantMethodref)

Specified by:
  `_invokespecial` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._invokespecial(int, int, IConstantPoolEntry)`

#### _invokestatic

    public void _invokestatic(int pc,
                              int index,
                              IConstantPoolEntry constantMethodref)

Specified by:
  `_invokestatic` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._invokestatic(int, int, IConstantPoolEntry)`

#### _invokevirtual

    public void _invokevirtual(int pc,
                               int index,
                               IConstantPoolEntry constantMethodref)

Specified by:
  `_invokevirtual` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._invokevirtual(int, int, IConstantPoolEntry)`

#### _ior

    public void _ior(int pc)

Specified by:
  `_ior` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ior(int)`

#### _irem

    public void _irem(int pc)

Specified by:
  `_irem` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._irem(int)`

#### _ireturn

    public void _ireturn(int pc)

Specified by:
  `_ireturn` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ireturn(int)`

#### _ishl

    public void _ishl(int pc)

Specified by:
  `_ishl` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ishl(int)`

#### _ishr

    public void _ishr(int pc)

Specified by:
  `_ishr` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ishr(int)`

#### _istore_0

    public void _istore_0(int pc)

Specified by:
  `_istore_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._istore_0(int)`

#### _istore_1

    public void _istore_1(int pc)

Specified by:
  `_istore_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._istore_1(int)`

#### _istore_2

    public void _istore_2(int pc)

Specified by:
  `_istore_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._istore_2(int)`

#### _istore_3

    public void _istore_3(int pc)

Specified by:
  `_istore_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._istore_3(int)`

#### _istore

    public void _istore(int pc,
                        int index)

Specified by:
  `_istore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._istore(int, int)`

#### _isub

    public void _isub(int pc)

Specified by:
  `_isub` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._isub(int)`

#### _iushr

    public void _iushr(int pc)

Specified by:
  `_iushr` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._iushr(int)`

#### _ixor

    public void _ixor(int pc)

Specified by:
  `_ixor` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ixor(int)`

#### _jsr_w

    public void _jsr_w(int pc,
                       int branchOffset)

Specified by:
  `_jsr_w` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._jsr_w(int, int)`

#### _jsr

    public void _jsr(int pc,
                     int branchOffset)

Specified by:
  `_jsr` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._jsr(int, int)`

#### _l2d

    public void _l2d(int pc)

Specified by:
  `_l2d` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._l2d(int)`

#### _l2f

    public void _l2f(int pc)

Specified by:
  `_l2f` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._l2f(int)`

#### _l2i

    public void _l2i(int pc)

Specified by:
  `_l2i` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._l2i(int)`

#### _ladd

    public void _ladd(int pc)

Specified by:
  `_ladd` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ladd(int)`

#### _laload

    public void _laload(int pc)

Specified by:
  `_laload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._laload(int)`

#### _land

    public void _land(int pc)

Specified by:
  `_land` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._land(int)`

#### _lastore

    public void _lastore(int pc)

Specified by:
  `_lastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lastore(int)`

#### _lcmp

    public void _lcmp(int pc)

Specified by:
  `_lcmp` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lcmp(int)`

#### _lconst_0

    public void _lconst_0(int pc)

Specified by:
  `_lconst_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lconst_0(int)`

#### _lconst_1

    public void _lconst_1(int pc)

Specified by:
  `_lconst_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lconst_1(int)`

#### _ldc_w

    public void _ldc_w(int pc,
                       int index,
                       IConstantPoolEntry constantPoolEntry)

Specified by:
  `_ldc_w` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ldc_w(int, int, IConstantPoolEntry)`

#### _ldc

    public void _ldc(int pc,
                     int index,
                     IConstantPoolEntry constantPoolEntry)

Specified by:
  `_ldc` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ldc(int, int, IConstantPoolEntry)`

#### _ldc2_w

    public void _ldc2_w(int pc,
                        int index,
                        IConstantPoolEntry constantPoolEntry)

Specified by:
  `_ldc2_w` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ldc2_w(int, int, IConstantPoolEntry)`

#### _ldiv

    public void _ldiv(int pc)

Specified by:
  `_ldiv` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ldiv(int)`

#### _lload_0

    public void _lload_0(int pc)

Specified by:
  `_lload_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lload_0(int)`

#### _lload_1

    public void _lload_1(int pc)

Specified by:
  `_lload_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lload_1(int)`

#### _lload_2

    public void _lload_2(int pc)

Specified by:
  `_lload_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lload_2(int)`

#### _lload_3

    public void _lload_3(int pc)

Specified by:
  `_lload_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lload_3(int)`

#### _lload

    public void _lload(int pc,
                       int index)

Specified by:
  `_lload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lload(int, int)`

#### _lmul

    public void _lmul(int pc)

Specified by:
  `_lmul` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lmul(int)`

#### _lneg

    public void _lneg(int pc)

Specified by:
  `_lneg` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lneg(int)`

#### _lookupswitch

    public void _lookupswitch(int pc,
                              int defaultoffset,
                              int npairs,
                              int[][] offset_pairs)

Specified by:
  `_lookupswitch` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lookupswitch(int, int, int, int[][])`

#### _lor

    public void _lor(int pc)

Specified by:
  `_lor` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lor(int)`

#### _lrem

    public void _lrem(int pc)

Specified by:
  `_lrem` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lrem(int)`

#### _lreturn

    public void _lreturn(int pc)

Specified by:
  `_lreturn` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lreturn(int)`

#### _lshl

    public void _lshl(int pc)

Specified by:
  `_lshl` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lshl(int)`

#### _lshr

    public void _lshr(int pc)

Specified by:
  `_lshr` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lshr(int)`

#### _lstore_0

    public void _lstore_0(int pc)

Specified by:
  `_lstore_0` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lstore_0(int)`

#### _lstore_1

    public void _lstore_1(int pc)

Specified by:
  `_lstore_1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lstore_1(int)`

#### _lstore_2

    public void _lstore_2(int pc)

Specified by:
  `_lstore_2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lstore_2(int)`

#### _lstore_3

    public void _lstore_3(int pc)

Specified by:
  `_lstore_3` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lstore_3(int)`

#### _lstore

    public void _lstore(int pc,
                        int index)

Specified by:
  `_lstore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lstore(int, int)`

#### _lsub

    public void _lsub(int pc)

Specified by:
  `_lsub` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lsub(int)`

#### _lushr

    public void _lushr(int pc)

Specified by:
  `_lushr` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lushr(int)`

#### _lxor

    public void _lxor(int pc)

Specified by:
  `_lxor` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._lxor(int)`

#### _monitorenter

    public void _monitorenter(int pc)

Specified by:
  `_monitorenter` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._monitorenter(int)`

#### _monitorexit

    public void _monitorexit(int pc)

Specified by:
  `_monitorexit` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._monitorexit(int)`

#### _multianewarray

    public void _multianewarray(int pc,
                                int index,
                                int dimensions,
                                IConstantPoolEntry constantClass)

Specified by:
  `_multianewarray` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._multianewarray(int, int, int, IConstantPoolEntry)`

#### _new

    public void _new(int pc,
                     int index,
                     IConstantPoolEntry constantClass)

Specified by:
  `_new` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._new(int, int, IConstantPoolEntry)`

#### _newarray

    public void _newarray(int pc,
                          int atype)

Specified by:
  `_newarray` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._newarray(int, int)`

#### _nop

    public void _nop(int pc)

Specified by:
  `_nop` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._nop(int)`

#### _pop

    public void _pop(int pc)

Specified by:
  `_pop` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._pop(int)`

#### _pop2

    public void _pop2(int pc)

Specified by:
  `_pop2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._pop2(int)`

#### _putfield

    public void _putfield(int pc,
                          int index,
                          IConstantPoolEntry constantFieldref)

Specified by:
  `_putfield` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._putfield(int, int, IConstantPoolEntry)`

#### _putstatic

    public void _putstatic(int pc,
                           int index,
                           IConstantPoolEntry constantFieldref)

Specified by:
  `_putstatic` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._putstatic(int, int, IConstantPoolEntry)`

#### _ret

    public void _ret(int pc,
                     int index)

Specified by:
  `_ret` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._ret(int, int)`

#### _return

    public void _return(int pc)

Specified by:
  `_return` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._return(int)`

#### _saload

    public void _saload(int pc)

Specified by:
  `_saload` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._saload(int)`

#### _sastore

    public void _sastore(int pc)

Specified by:
  `_sastore` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._sastore(int)`

#### _sipush

    public void _sipush(int pc,
                        short value)

Specified by:
  `_sipush` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._sipush(int, short)`

#### _swap

    public void _swap(int pc)

Specified by:
  `_swap` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._swap(int)`

#### _tableswitch

    public void _tableswitch(int pc,
                             int defaultoffset,
                             int low,
                             int high,
                             int[] jump_offsets)

Specified by:
  `_tableswitch` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._tableswitch(int, int, int, int, int[])`

#### _wide

    public void _wide(int pc,
                      int iincopcode,
                      int index,
                      int _const)

Specified by:
  `_wide` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._wide(int, int, int, int)`

#### _wide

    public void _wide(int pc,
                      int opcode,
                      int index)

Specified by:
  `_wide` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._wide(int, int, int)`

#### _breakpoint

    public void _breakpoint(int pc)

Specified by:
  `_breakpoint` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._breakpoint(int)`

#### _impdep1

    public void _impdep1(int pc)

Specified by:
  `_impdep1` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._impdep1(int)`

#### _impdep2

    public void _impdep2(int pc)

Specified by:
  `_impdep2` in interface `IBytecodeVisitor`
See Also:
  `IBytecodeVisitor._impdep2(int)`